Subject: Re: WARNING: at net/sched/sch_generic.c:256 dev_watchdog+0x1f2/0x200()

From: "Justin P. Mattock" <[email-masked]>
Date: Tue, 20 Mar 2012 14:31:19 -0700

On 03/20/2012 07:16 AM, Justin P. Mattock wrote:
> On 03/20/2012 02:37 AM, Francois Romieu wrote:
>> (Larry removed)
>>
>> Justin Mattock<[email-masked]> :
>> [...]
>>> seems I see this with the latest linux-next:
>>
>> Thanks for testing.
>>
>> [...]
>>> [21740.318685] r8169 0000:06:00.0: eth0: link up
>>> [21752.292679] r8169 0000:06:00.0: eth0: link up
>>> [21764.268569] r8169 0000:06:00.0: eth0: link up
>>> [21776.254393] r8169 0000:06:00.0: eth0: link up
>>> [21788.235797] r8169 0000:06:00.0: eth0: link up
>>> [21800.196524] r8169 0000:06:00.0: eth0: link up
>>> [21812.172497] r8169 0000:06:00.0: eth0: link up
>>
>> This is completely broken. I could understand a few up/down link changes
>> until things settles but the driver should not claim periodically that
>> the link is up when there is no cable, at least not with a supported
>> chipset.
>>
>> Can you apply the debug helper below and report a complete dmesg from
>> boot with the same test (please remove l-k, netdev is good enough) ?
>
> I removed linux-kernel from the Cc's and applied your patch.. system
> built fine, and suspend wakes up fine without the ethernet trying to
> connect like it was doing. will run this patch for a few Thanks for this!
>
> dmesg is here: http://fpaste.org/jHSX/
> (I have another patch added in, but it should not affect anything).
>
>

well i dont know what happened.. I suspend throughout the day without 
any issues, but then on one wakeup everything went to crap ethernet 
started to try and connect without any wires in.. only thing I can think 
of is I was dongling with my phone(but the phone was disconnected before 
suspend),which uses a different module..

dmesg here:
http://fpaste.org/mcNC/

Justin P. Mattock